class Asset

  include Mongoid::Document
  include Mongoid::Timestamps

  embedded_in :page

  field :caption,      type: String
  field :source,       type: String
  field :description,  type: String
  field :gravity,      type: String,  default: 'Center'
  field :used,         type: Boolean, default: false
  field :delete_asset, type: Boolean, default: false


  mount_uploader :attachment, BoltonCms::AttachmentUploader

end
